# Web Experience Toolkit: Drupal WxT

[![Build Status][travisci-badge]][travisci]

## Important

Drupal WxT for Drupal 8 is currently under active development and should not be
considered to be stable and / or ready production use. Should you wish to run
Drupal with the [WET-BOEW jQuery Framework][wet-boew] you are encouraged to
leverage [Drupal WxT (D7)][drupal7] which is considered stable and has been
extensively tested. Currently this project is in the alpha phase.

## Important Links

- Documentation Website: [drupalwxt.github.io][docsite]
- Drupal Repository: [drupal.org/project/wxt][drupal]
- GitHub Repository: [drupalwxt/wxt][github]
- Live Demo: [responsinator][responsinator]
- Run it Now: [simplytest.me][simplytest]
- Issue Queue: [Drupal][issue-drupal] (Primary)
- Issue Queue: [GitHub][issue-github]

## Overview

The Drupal WxT distribution is a web content management system which assists in
building and maintaining innovative Web sites that are accessible, usable, and
interoperable. This distribution is open source software and free for use by
departments and external Web communities. This distribution relies and
integrates extensively with the [WET-BOEW jQuery Framework][wet-boew] for
improved accessible markup.

## Architecture

This install profile directly extends from the [Lightning Framework][lightning]
created by [Acquia][acquia] to provide developers with a powerful base toolchain
upon which to extend. Due to this strict dependency we also align much of our
workflow with the best practice established patterns `Acquia` has provided.

## Installation Methods

- Pre-Built Distribution: [drupal.org/project/wxt][drupal] (Novice Users)

## Version History

### Changelog

- [CHANGELOG.md][changelog]

### Releases

- [Drupal.org][release-drupal]
- [GitHub][release-github]

## Contributor(s)

Contributor(s): https://github.com/drupalwxt/wxt/graphs/contributors

<!-- Links Referenced -->

[acquia]:               https://acquia.com
[changelog]:            https://github.com/drupalwxt/wxt/blob/8.x-2.x/CHANGELOG.md
[docsite]:              http://drupalwxt.github.io
[drupal]:               http://drupal.org/project/wxt
[drupal7]:              http://drupal.org/project/wetkit
[github]:               https://github.com/drupalwxt/wxt
[issue-drupal]:         https://drupal.org/project/issues/wxt
[issue-github]:         https://github.com/drupalwxt/wxt/issues
[lightning]:            https://github.com/acquia/lightning
[panopoly]:             https://github.com/panopoly/panopoly
[pantheon]:             https://pantheon.io
[release-drupal]:       https://github.com/drupalwxt/wxt/releases
[release-github]:       https://github.com/drupalwxt/wxt/releases
[responsinator]:        http://www.responsinator.com/?url=demo.drupalwxt.org
[simplytest]:           http://simplytest.me/project/wxt/8.x-2.x
[travisci]:             https://travis-ci.org/drupalwxt/wxt
[travisci-badge]:       https://travis-ci.org/drupalwxt/wxt.png?branch=8.x-2.x
[wet-boew]:             https://github.com/wet-boew/wet-boew
